Return a list of claim mappings

Permission Level: Read

GET /users/claim-mappings

Operation id: ClaimMappingService_ListClaimMappings

Tags: ClaimMappingService

Parameters

Query parameters

NameTypeRequiredDescription
domainstringNoDomain of the role (example: zpa, reflexis, wfc, etc), Required: false
pageSizeinteger (int32)NoPage Size, Default: 10, Required: false
pageTokenstringNoPage number of the search results, Default: 0, Required: false
scopestringNoSome more general scoping (like a particular app in the domain), Required: false
tenantIdstringNoTenant of the Roles to fetch, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
mappingsarrayNo
nextPageTokenstringNoThe token of the next page of results.
{
  "type": "object",
  "properties": {
    "mappings": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "claimMappingId": {
            "type": "string"
          },
          "mapping": {
            "type": "object",
            "properties": {
              "claim": {
                "type": "object"
              },
              "role": {
                "type": "object"
              }
            }
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string",
      "description": "The token of the next page of results."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}